CREATE TABLE hts_sched_shift_events (
    SCHED_SHIFT_EVENT_ID        NUMBER(18, 0) ,
    SCHED_REQUEST_NUMBER        VARCHAR2(480) ,
    SCHED_EVENT_NUMBER          VARCHAR2(480) ,
    SCHED_SHIFT_EVENT_NUMBER    VARCHAR2(480) ,
    SCHED_EVENT_ID              NUMBER(18, 0) ,
    SHIFT_NUMBER                VARCHAR2(480) ,
    SHIFT_ACTION                VARCHAR2(120) ,
    REF_DAY                     DATE          ,
    START_TIME_STR              VARCHAR2(320) ,
    START_TIME_OFFSET           NUMBER(22, 0) ,
    START_TIME                  TIMESTAMP(6)  ,
    END_TIME_STR                VARCHAR2(320) ,
    END_TIME_OFFSET             NUMBER(22, 0) ,
    END_TIME                    TIMESTAMP(6)  ,
    DURATION                    NUMBER(18, 0) ,
    TIME_NOT_WORKED             NUMBER(18, 0) ,
    SHIFT_CODE                  VARCHAR2(480) ,
    SHIFT_TYPE                  VARCHAR2(120) ,
    SHIFT_CATEGORY              VARCHAR2(120) ,
    STATUS_IMP                  NUMBER(2, 0)  ,
    STATUS_INT                  NUMBER(2, 0)  ,
    SHIFT_TYPE_CODE             VARCHAR2(120) ,
    ENTERPRISE_SHIFT_NAME       VARCHAR2(960) ,
    ENTERPRISE_SHIFT_DATE       DATE          ,
    UNPAID_BREAK_DURATION       NUMBER(9, 0)  ,
    PAID_BREAK_DURATION         NUMBER(9, 0)  ,
    SHIFT_NOTES                 VARCHAR2(4000),
    PREMIUM_SHIFT_CODE          VARCHAR2(120) ,
    ALLOW_OVERTIME_FLAG         VARCHAR2(4)   ,
    SHIFT_INCENTIVE             NUMBER(9, 3)  ,
    ADV_SHIFT_CATEGORY          VARCHAR2(120) ,
    JOB_PROFILE_TYPE            VARCHAR2(120) ,
    JOB_PROFILE_NAME            VARCHAR2(1020),
    JOB_SET_CODE                VARCHAR2(1020),
    QUALIFICATION_TYPE          VARCHAR2(120) ,
    QUALIFICATION               VARCHAR2(600) ,
    BUSINESS_UNIT_NAME          VARCHAR2(960) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    ALLOW_EDITS                 VARCHAR2(4)   ,
    SCHED_SHIFT_EVENT_ID        NUMBER(18, 0) ,
    SCHED_REQUEST_NUMBER        VARCHAR2(480) ,
    SCHED_EVENT_NUMBER          VARCHAR2(480) ,
    SCHED_SHIFT_EVENT_NUMBER    VARCHAR2(480) ,
    SCHED_EVENT_ID              NUMBER(18, 0) ,
    SHIFT_NUMBER                VARCHAR2(480) ,
    SHIFT_ACTION                VARCHAR2(120) ,
    REF_DAY                     DATE          ,
    START_TIME_STR              VARCHAR2(320) ,
    START_TIME_OFFSET           NUMBER(22, 0) ,
    START_TIME                  TIMESTAMP(6)  ,
    END_TIME_STR                VARCHAR2(320) ,
    END_TIME_OFFSET             NUMBER(22, 0) ,
    END_TIME                    TIMESTAMP(6)  ,
    DURATION                    NUMBER(18, 0) ,
    TIME_NOT_WORKED             NUMBER(18, 0) ,
    SHIFT_CODE                  VARCHAR2(480) ,
    SHIFT_TYPE                  VARCHAR2(120) ,
    SHIFT_CATEGORY              VARCHAR2(120) ,
    STATUS_IMP                  NUMBER(2, 0)  ,
    STATUS_INT                  NUMBER(2, 0)  ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    ALLOW_EDITS                 VARCHAR2(4)   ,
    SHIFT_TYPE_CODE             VARCHAR2(120) ,
    ENTERPRISE_SHIFT_NAME       VARCHAR2(960) ,
    ENTERPRISE_SHIFT_DATE       DATE          ,
    UNPAID_BREAK_DURATION       NUMBER(9, 0)  ,
    PAID_BREAK_DURATION         NUMBER(9, 0)  ,
    SHIFT_NOTES                 VARCHAR2(4000),
    PREMIUM_SHIFT_CODE          VARCHAR2(120) ,
    ALLOW_OVERTIME_FLAG         VARCHAR2(4)   ,
    SHIFT_INCENTIVE             NUMBER(9, 3)  ,
    ADV_SHIFT_CATEGORY          VARCHAR2(120) ,
    JOB_PROFILE_TYPE            VARCHAR2(120) ,
    JOB_PROFILE_NAME            VARCHAR2(1020),
    JOB_SET_CODE                VARCHAR2(1020),
    QUALIFICATION_TYPE          VARCHAR2(120) ,
    QUALIFICATION               VARCHAR2(600) ,
    BUSINESS_UNIT_NAME          VARCHAR2(960) ,
    CONSTRAINT pk_hts_sched_shift_events PRIMARY KEY (SCHED_SHIFT_EVENT_ID, SCHED_SHIFT_EVENT_ID)
);
